org.faceless.pdf2

## Class ServletContextPropertyManager

- java.lang.Object
- - org.faceless.pdf2.ServletContextPropertyManager

- All Implemented Interfaces:
    PropertyManager

      public class ServletContextPropertyManager
      extends Object
      implements PropertyManager

  Defines a `PropertyManager` which checks the `ServletContext.getInitParameter(java.lang.String)` method for properties. A call to `getProperty(key)` will return the value of `servletcontext.getInitParameter("org.faceless.pdf2."+key)`. To use, add the following line (in bold) to the `Servlet.init(javax.servlet.ServletConfig)` method of your servlet:

       public void init(ServletConfig config) throws ServletException {
           super.init(config);
           PDF.setPropertyManager(new ServletContextPropertyManager(config.getServletContext()));
       }

  Then, set the properties you want to set in your `WEB-INF/web.xml`. For example:

       <web-app>
         <context-param>
           <param-name>org.faceless.pdf2.JavaScript</param-name>
           <param-value>none</param-value>
         </context-param>
         ...

  Since:
    2.13.1

- - ### Field Summary

    - ### Fields inherited from interface org.faceless.pdf2.PropertyManager

      `SYSTEM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletContextPropertyManager(ServletContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProperty(String key)` Return the specified property, or `null` if no such property is set.
    `URL` | `getURLProperty(String key)` Return the specified property as a URL, or `null` if no such property is set.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletContextPropertyManager

          public ServletContextPropertyManager(ServletContext context)

  - ### Method Detail

    - #### getProperty

          public String getProperty(String key)

      Description copied from interface: `PropertyManager`
      Return the specified property, or `null` if no such property is set.
      Specified by:
        `getProperty` in interface `PropertyManager`

    - #### getURLProperty

          public URL getURLProperty(String key)
                             throws MalformedURLException

      Description copied from interface: `PropertyManager`
      Return the specified property as a URL, or `null` if no such property is set.
      Specified by:
        `getURLProperty` in interface `PropertyManager`
      Throws:
        `MalformedURLException`

Copyright © 2001-2015 Big Faceless Organization